/*
  Simple example for receiving
  
  https://github.com/sui77/rc-switch/
*/

#include <RCSwitch.h>

RCSwitch mySwitch = RCSwitch();
int ledBleu = 3;
int ledVert = 5;

void setup() {
  Serial.begin(9600);
  pinMode(ledBleu, OUTPUT);
  pinMode(ledVert, OUTPUT);
  mySwitch.enableReceive(0);  // Receiver on interrupt 0 => that is pin #2
}

void loop() {
  digitalWrite(ledBleu,HIGH);
  digitalWrite(ledVert,HIGH);
  if (mySwitch.available()) {

    switch(mySwitch.getReceivedValue()){
      case 5393 :
        Serial.println("vert");
        digitalWrite(ledVert,LOW);
        delay(1000);
        break;
      case 5396 :
        digitalWrite(ledBleu,LOW);
        Serial.println("bleu");
        delay(1000);
        break;
    }


    mySwitch.resetAvailable();
  }
}
