/*
  Example for different sending methods

  https://github.com/sui77/rc-switch/

*/

#include <RCSwitch.h> //Pour inclure la bibliothèque 

RCSwitch mySwitch = RCSwitch();  //Définis le nom du module radio


void setup() {
  Serial.begin(9600);   // Définir la quantité d'infos transmises entre l'Arduino et l'ordi

  // Transmitter is connected to Arduino Pin #10
  mySwitch.enableTransmit(10);  //Active les données du modul radio

}

void loop() {
  int valeurInterphone = analogRead(A0);   //Indiquer à l'arduino de lire la valeur actuelle du bouton
  int valeurSonnerie = analogRead (A1);
  
  if (valeurInterphone > 200)    //Si le bouton est enfoncé

  {
    mySwitch.send(5393,24); //envoi les infos entre " par onde radio
    delay(200);   //indique le temps de latence entre chaque clignotement
 
  }
  
  if (valeurSonnerie > 200)    //Si le bouton est enfoncé

  {
    mySwitch.send(5396,24); //envoi les infos entre " par onde radio
    delay(200);   //indique le temps de latence entre chaque clignotement
  
  }

}
